unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
//*********Begin**********
  procedure CopyStringToClipboard(s: string);
//***********End************
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}
//*********Begin**********
procedure TForm1.CopyStringToClipboard(s: string);
var
hg: THandle;
P: PChar;
begin
hg:=GlobalAlloc(GMEM_DDESHARE or GMEM_MOVEABLE, Length(S)+1);
P:=GlobalLock(hg);
StrPCopy(P, s);
GlobalUnlock(hg);
OpenClipboard(Application.Handle);
SetClipboardData(CF_TEXT, hg);
CloseClipboard;
GlobalFree(hg);
//***********End*************/
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
CopyStringToClipboard(Edit1.Text);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
Memo1.PasteFromClipboard;
Memo1.Lines.Add('');
end;

end.
